OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.ConditionalRender

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVConditionalRender :: MonadIO m => m Bool
- gl_NV_conditional_render :: Bool
- pattern GL_QUERY_BY_REGION_NO_WAIT_NV :: GLenum
- pattern GL_QUERY_BY_REGION_WAIT_NV :: GLenum
- pattern GL_QUERY_NO_WAIT_NV :: GLenum
- pattern GL_QUERY_WAIT_NV :: GLenum
- glBeginConditionalRenderNV :: MonadIO m => GLuint -> GLenum -> m ()
- glEndConditionalRenderNV :: MonadIO m => m ()

# Extension Support

glGetNVConditionalRender :: MonadIO m => m Bool Source #

Is the NV_conditional_render extension supported?

gl_NV_conditional_render :: Bool Source #

Is the NV_conditional_render extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVConditionalRender` in those cases instead.

# Enums

pattern GL_QUERY_BY_REGION_NO_WAIT_NV :: GLenum Source #

pattern GL_QUERY_BY_REGION_WAIT_NV :: GLenum Source #

pattern GL_QUERY_NO_WAIT_NV :: GLenum Source #

pattern GL_QUERY_WAIT_NV :: GLenum Source #

# Functions

glBeginConditionalRenderNV Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `mode` of type ConditionalRenderMode.
-> m () |

This command is an alias for `glBeginConditionalRender`.

glEndConditionalRenderNV :: MonadIO m => m () Source #

This command is an alias for `glEndConditionalRender`.